Bug 640578 - AttributeError: Pdb instance has no attribute 'curframe'
AttributeError: Pdb instance has no attribute 'curframe'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 07:32 EDT by Sandro Mathys
Modified: 2013-01-10 05:45 EST (History)
3 users (show)

See Also:
Fixed In Version: ipython-0.10.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 14:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-10-06 07:32:48 EDT
Description of problem:
There's a bug in the 0.10 version of ipython which results in the mentioned AttributeError. A small fix is available and I'd like to request its inclusion into the Fedora RPMs of ipython 0.10 until 0.10.1 or 0.11 is released.

Version-Release number of selected component (if applicable):
ipython-0.10-6.fc13.noarch

How reproducible:
Always

Steps to Reproduce:
1. cat << EOF >> debug_me.py
> x = 2 + 2
> y = 3 + 3
> EOF
2. ipython
3. run -d debug_me.py
  
Actual results:
Traceback and
AttributeError: Pdb instance has no attribute 'curframe'

Expected results:
no Traceback, no AttributeError

Additional info:
I reported this for F13 but unless this fix was included in the RPMs this is also valid for F14 and rawhide.

Fix is to be found here:
http://bazaar.launchpad.net/~ipython-dev/ipython/0.10.1/revision/1214

Discussion/upstream bug report was here:
https://bugs.launchpad.net/ipython/+bug/381069

Fix was announced in this comment:
https://bugs.launchpad.net/ipython/+bug/381069/comments/25

---

If this fix could be temporarily included in the Fedora RPMs until upstream releases a new version that'd be really helpful!
Comment 1 Thomas Spura 2010-10-06 08:30:08 EDT
Upstream has a new release candicate:
http://mail.scipy.org/pipermail/ipython-dev/2010-September/006682.html

and I'd prefere to build & push it, when it's released properly, would waiting a week or so be ok?

Here are current scratch builds that fixed the problem (tested on F13):
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2517496
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2517504
F15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2517507
Comment 2 Sandro Mathys 2010-10-06 10:02:10 EDT
I can confirm the RC and scratch build fix the issue on F13. Waiting for the final version is perfectly fine with me (didn't see there's a RC in the first place or this bug wouldn't have been opened).

btw, thanks for the quick & helpful response!
Comment 3 Sandro Mathys 2010-10-13 03:37:22 EDT
ipython 0.10.1 is now available :)
Comment 4 Thomas Spura 2010-10-13 04:02:17 EDT
(In reply to comment #3)
> ipython 0.10.1 is now available :)

I know, just didn't had the time to update ;-)
If you want to co-maintain, feel free to apply ;)

Otherwise there might be a few days lag between new version available and shipped ;-)
I'm on it now...
Comment 5 Fedora Update System 2010-10-13 04:33:45 EDT
ipython-0.10.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ipython-0.10.1-1.fc13
Comment 6 Fedora Update System 2010-10-13 04:33:52 EDT
ipython-0.10.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ipython-0.10.1-1.fc14
Comment 7 Sandro Mathys 2010-10-13 05:15:21 EDT
I guessed you knew already but sometimes bugging people helps them find time ;) And there's always the chance that you missed it, too :)

Thanks for the update! As you've probably already seen I've taken the F13 package from koji, tested it and left positive karma in bodhi.

By the way, now that this AttributeError is gone I noticed I had a bug in the script to reproduce this (i.e. interpreter missing) - just pasting the correct version for the sake of completeness.

cat << EOF >> debug_me.py
#!/usr/bin/python
x = 2 + 2
y = 3 + 3
EOF
Comment 8 Fedora Update System 2010-10-13 17:20:11 EDT
ipython-0.10.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ipython-0.10.1-1.fc14
Comment 9 Fedora Update System 2010-10-22 14:07:20 EDT
ipython-0.10.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-10-28 02:01:12 EDT
ipython-0.10.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.